commit 12fab4b0af476cf9d4bd389a2c4ebf7ff76e8252
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Dec 31 22:12:17 2023 +0000

    Address qualification: ensure maformed addresses are logged.  Bug 3061

diff --git a/src/src/rewrite.c b/src/src/rewrite.c
index 318cda215..70bd79e26 100644
--- a/src/src/rewrite.c
+++ b/src/src/rewrite.c
@@ -510,8 +510,8 @@ while (*s)
     address, "To: undisclosed recpients:;" being the classic case. Ignore
     this one and carry on. */
 
-    if ((rewrite_rules || routed_old) && Ustrcmp(errmess, "empty address") != 0)
-      log_write(0, LOG_MAIN, "rewrite: %s", errmess);
+    if (Ustrcmp(errmess, "empty address") != 0)
+      log_write(0, LOG_MAIN, "qualify/rewrite: %s", errmess);
 
     loop_reset_point = store_reset(loop_reset_point);
     continue;

